﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.8
@EndOfDesignText@
Sub Process_Globals
    Private PageShowAirfieldsMap As Page
    Private gMap As GoogleMap
    Private gMapsExtra As GoogleMapsExtra    
End Sub

Public Sub Show(Points As List)
	Dim ThisPosition As LatLng
	If PageShowAirfieldsMap.IsInitialized = False Then       
        PageShowAirfieldsMap.Initialize("PageShowAirfieldsMap")
        gMap.Initialize("gMap", Main.APIkey)
        gMapsExtra.Initialize(gMap)
        PageShowAirfieldsMap.RootPanel.AddView(gMap,0,0,100%x,100%y)  
    End If

    gMap.Clear
    Main.NavControl.ShowPage(PageShowAirfieldsMap)
       
    For i = 1 To Points.Size
		ThisPosition = Points.Get (i - 1)
		gMap.AddMarker(ThisPosition.Latitude, ThisPosition.Longitude, "Point " & i)
        If Points.Size = 1 Then                   
           Dim cpos As CameraPosition
		   cpos.Initialize (ThisPosition.Latitude, ThisPosition.Longitude, 14)
           gMap.AnimateCamera(cpos)
		End If
    Next
    If Points.Size > 1 Then gMapsExtra.ZoomToPoints(Points)
End Sub
